#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-pystache
Version		:	0.6.0
Release		:	17.0.10.rel%{?dist}
Summary		:	A Python implementation of Mustache.
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.org/pystache/#files

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	python-build
BuildRequires	:	python-installer
BuildRequires	:	python-packaging
BuildRequires	:	python-pep517
BuildRequires	:	python-pyparsing
BuildRequires	:	python3-tomli
BuildRequires	:	python-wheel

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Pystache is a Python implementation of Mustache.
Mustache is a framework-agnostic, logic-free templating
system inspired by ctemplate and et by Ivan Formichev.
Like ctemplate, Mustache “emphasizes separating logic
from presentation: it is impossible to embed application
logic in this template language.”

The mustache(5) man page provides a good introduction
to Mustache’s syntax. For a more complete (and more current)
description of Mustache’s behavior, see the official
Mustache spec.

Pystache is semantically versioned and older versions
can still be found on PyPI. This version of Pystache
now passes all tests in version 1.1.3 of the spec.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/%{sname}
%{_bindir}/%{sname}-test
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/commands/*.py
%{python3_sitelib}/%{sname}/commands/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/*.py
%{python3_sitelib}/%{sname}/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/data/*.py
%{python3_sitelib}/%{sname}/tests/data/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/data/*.mustache
%{python3_sitelib}/%{sname}/tests/data/locator/*.py
%{python3_sitelib}/%{sname}/tests/data/locator/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/data/locator/*.mustache
%{python3_sitelib}/%{sname}/tests/data/locator/template.txt
%{python3_sitelib}/%{sname}/tests/examples/*.py
%{python3_sitelib}/%{sname}/tests/examples/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/examples/*.mustache
%{python3_sitelib}/%{sname}/tests/examples/*.txt
%{python3_sitelib}/%{sname}-%{version}.dist-info

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__python}						\
	-m pystache.commands.test

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__python}						\
	-m installer					\
	--destdir %{buildroot}				\
	dist/*.whl


#-----------------------------------------------------------------------------
%changelog
